Host V Storage Object Manager Host V Storage Object Create Disk From Snapshot Task

Host V Storage Object Manager Host V Storage Object Create Disk From Snapshot Task
Creates a new Disk from given snapshot of a VStorageObject.

Creates a new Disk from given snapshot of a VStorageObject.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostVStorageObjectManager/{moId}/HostVStorageObjectCreateDiskFromSnapshot_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVStorageObjectManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "id": {},
    "datastore": {},
    "snapshotId": {},
    "name": "string"
}
{
    "id": {
        "_typeName": "string",
        "id": "string"
    },
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "snapshotId": {
        "_typeName": "string",
        "id": "string"
    },
    "name": "string",
    "profile": [
        {
            "_typeName": "string"
        }
    ],
    "crypto": {
        "_typeName": "string"
    },
    "path": "string",
    "provisioningType": "string",
    "isLinkedClone": false,
    "targetId": {
        "_typeName": "string",
        "id": "string"
    },
    "targetDatastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
id
Required

The ID of the virtual storage object.

datastore
Required

The datastore where the source virtual storage object is located.

snapshotId
Required

The ID of the snapshot of the virtual storage object.

string
name
Required

A user friendly name to be associated with the new disk.

array of object
profile
Optional

SPBM Profile requirement on the new virtual storage object. If not specified datastore default policy would be assigned.

crypto
Optional

Crypto information of the new disk.

string
path
Optional

Relative location where disk has to be created, used in targetDatastore and datastore parameters. If not specified disk gets created at default VStorageObject location of targetDatastore or datastore.

string
provisioningType
Optional

Provisioining type of the disk as specified in above mentioned profile. The list of supported values can be found in BaseConfigInfoDiskFileBackingInfoProvisioningTypeEnum

Since: vSphere API Release 8.0.0.1

boolean
isLinkedClone
Optional

Indicates whether a linkedClone Disk needs to be created from the snapshot.

Since: vSphere API Release 9.1.0.0

targetId
Optional

The ID of the target virtual storage object. For each new request, the ID should be a unique ID complying to RFC4122V4 (generated randomly). For retry requests with the same ID, all the other input parameters are expected to remain same. If not specified, a system generated ID will be assigned to the newly created virtual storage object.

Since: vSphere API Release 9.1.0.0

targetDatastore
Optional

The target datastore where the new disk needs to be created. if not specified, the new disk will be created where the source virtual storage object is located.

Since: vSphere API Release 9.1.0.0

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

FileFault: If an error occurs while snapshotting the virtual storage object.

InvalidDatastore: If the operation cannot be performed on the datastore.

InvalidState: If the operation cannot be performed on the disk.

NotFound: If specified virtual storage object cannot be found.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"{}","datastore":"{}","snapshotId":"{}","name":"string"}' https://{api_host}/sdk/vim25/{release}/HostVStorageObjectManager/{moId}/HostVStorageObjectCreateDiskFromSnapshot_Task
                
Virtual Infrastructure Operations
POST
Host V Storage Object Manager Host V Storage Object Revert Task
POST
Host V Storage Object Manager Host Clear V Storage Object Control Flags
POST
Host V Storage Object Manager Host Clone V Storage Object Task
POST
Host V Storage Object Manager Host Create Disk Task
POST
Host V Storage Object Manager Host V Storage Object Create Disk From Snapshot Task
POST
Host V Storage Object Manager Host V Storage Object Create Snapshot Task
POST
Host V Storage Object Manager V Storage Object Create Snapshot Ex Task
POST
Host V Storage Object Manager Host V Storage Object Delete Snapshot Task
POST
Host V Storage Object Manager V Storage Object Delete Snapshot Ex Task
POST
Host V Storage Object Manager V Storage Object Delete Snapshot Ex2 Task
POST
Host V Storage Object Manager Host Delete V Storage Object Task
POST
Host V Storage Object Manager Host Delete V Storage Object Ex Task
POST
Host V Storage Object Manager Host Extend Disk Task
POST
Host V Storage Object Manager V Storage Object Extend Disk Ex Task
POST
Host V Storage Object Manager Host Inflate Disk Task
POST
Host V Storage Object Manager Host List V Storage Object
POST
Host V Storage Object Manager Host Query Virtual Disk Uuid
POST
Host V Storage Object Manager Host Reconcile Datastore Inventory Task
POST
Host V Storage Object Manager Host Register Disk
POST
Host V Storage Object Manager Host Relocate V Storage Object Task
POST
Host V Storage Object Manager Host Rename V Storage Object
POST
Host V Storage Object Manager Rename V Storage Object Ex
POST
Host V Storage Object Manager Repair V Storage Object Chain Task
POST
Host V Storage Object Manager Host V Storage Object Retrieve Snapshot Info
POST
Host V Storage Object Manager Host Retrieve V Storage Infrastructure Object Policy
POST
Host V Storage Object Manager Host Retrieve V Storage Object
POST
Host V Storage Object Manager Host Retrieve V Storage Object Metadata
POST
Host V Storage Object Manager Host Retrieve V Storage Object Metadata Value
POST
Host V Storage Object Manager Host Retrieve V Storage Object State
POST
Host V Storage Object Manager Revert V Storage Object Ex Task
POST
Host V Storage Object Manager Host Schedule Reconcile Datastore Inventory
POST
Host V Storage Object Manager Host Set V Storage Object Control Flags
POST
Host V Storage Object Manager Host Set Virtual Disk Uuid Task
POST
Host V Storage Object Manager Unregister Disk Task
POST
Host V Storage Object Manager Host Update V Storage Object Metadata Task
POST
Host V Storage Object Manager Host Update V Storage Object Metadata Ex Task